/* eslint-disable max-len */

import * as React from "react";
import { SVGProps } from "react";
const FullscreenIcon = (props: SVGProps<SVGSVGElement>) => (
    <svg {...props} xmlns="http://www.w3.org/2000/svg" xmlSpace="preserve" width={800} height={800} viewBox="0 0 402.996 402.996">
        <path d="M392.996 1.985H258.33c-5.523 0-10 4.477-10 10V31.01c0 5.523 4.477 10 10 10h78.046L224.955 152.431c-3.905 3.905-3.905 10.237 0 14.142l13.453 13.453a9.967 9.967 0 0 0 7.07 2.929c2.56 0 5.119-.977 7.071-2.929L363.972 68.604v78.047c0 5.523 4.478 10 10 10h19.024c5.523 0 10-4.477 10-10V11.985c0-5.523-4.476-10-10-10zM66.62 41.01h78.046c5.523 0 10-4.477 10-10V11.985c0-5.523-4.477-10-10-10H10c-5.523 0-10 4.477-10 10v134.666c0 5.523 4.477 10 10 10h19.024c5.523 0 10-4.477 10-10V68.604l111.422 111.421c1.952 1.953 4.512 2.929 7.071 2.929s5.119-.977 7.071-2.929l13.453-13.453c3.905-3.905 3.905-10.237 0-14.142L66.62 41.01zM392.996 246.344h-19.024c-5.522 0-10 4.478-10 10v78.047L252.55 222.97c-3.903-3.905-10.237-3.905-14.142 0l-13.453 13.453c-3.905 3.904-3.905 10.236 0 14.142l111.421 111.421H258.33c-5.523 0-10 4.477-10 10v19.023c0 5.523 4.477 10 10 10h134.666c5.523 0 10-4.477 10-10V256.344c0-5.523-4.476-10-10-10zM164.588 222.97c-3.905-3.905-10.238-3.905-14.142 0L39.024 334.392v-78.047c0-5.523-4.477-10-10-10H10c-5.523 0-10 4.477-10 10v134.666c0 5.523 4.477 10 10 10h134.666c5.523 0 10-4.477 10-10v-19.023c0-5.523-4.477-10-10-10H66.62l111.421-111.422c3.905-3.904 3.905-10.236 0-14.143l-13.453-13.453z" />
    </svg>
);
export default FullscreenIcon;
